Bug 85353 - [patch] minor cosmetic/punctuation changes for the GEOM (geom-striping) chapter of the Handbook.
Summary: [patch] minor cosmetic/punctuation changes for the GEOM (geom-striping) chapt...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom Rhodes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-27 17:20 UTC by Julien Gabel
Modified: 2006-10-19 04:40 UTC (History)
0 users

See Also:


Attachments
chapter.sgml.diff (2.33 KB, patch)
2005-08-27 17:20 UTC, Julien Gabel
no flags Details | Diff
chapter.sgml.diff (6.12 KB, patch)
2005-08-28 21:30 UTC, Julien Gabel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Gabel 2005-08-27 17:20:16 UTC
When command(s) follow a sentence, i think the sentence may end with a ':',
as found in other part of the book (geom-mirror for example).

An other point is when a kernel module is loaded, the .ko extension may be
forgotten.  We can see this in other documentation and the kldload(8) manual
page.

Fix: Here is a little patch:
How-To-Repeat: Compare with the corresponding chapter:
 http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/geom-striping.html
Comment 1 Julien Gabel 2005-08-28 21:30:17 UTC
>>>    <para>The following command can be used to manually mount a newly
>>> -    created disk stripe.</para>
>>> +    created disk stripe:</para>

>> It's probably not worth changing, but I find "the following" to be
>> redundant in sentences that ends with ":".

> Agreed.

>> In decreasing order of verbosity:
>>
>> The following command can be used to manually mount a newly created
>> disk stripe.
>>
>> This command can be used to manually mount a newly created disk stripe:
>>
>> To manually mount a newly created disk stripe:

> This one may be better i think, since it is more concise.

>> And while opinions differ, IMO, it should be "newly-created".

> Don't have a preference about this one.


Ok.  I reworked a little bit this one, trying to adapt it to what
was said.  In the same time, try to avoid the repeated words like
"following" and "created".

Please find a new patch attached.

-- 
-jpeg.
Comment 2 Tom Rhodes freebsd_committer 2006-10-13 05:50:40 UTC
Hi,

Could you provide the diff in a non-encoded format.  It would just
make life easier.  Thanks,

-- 
Tom Rhodes
Comment 3 Joel Dahl freebsd_committer 2006-10-13 09:30:40 UTC
State Changed
From-To: open->feedback

Feedback requested.
Comment 4 Julien Gabel 2006-10-14 13:48:49 UTC
Hello,

> Could you provide the diff in a non-encoded format.  It would just
> make life easier.  Thanks,

When using send-pr(1), i usually use the -a flag to automatically
attach a file.  I don't known why the first patch was sent correctly,
but not the second reworked-one.

My last known patch on this subject can be downloaded at:
 - http://www.thilelli.net/~jgabel/store/pub/PR/85353/

As a side note, i don't work on this (little, and not so important)
patch since 28/08/2005.  I don't known -- and don't check -- if it
apply cleanly on the current chapter.sgml file.

Thank you,
--
Julien Gabel.
Comment 5 dfilter service freebsd_committer 2006-10-19 04:31:21 UTC
trhodes     2006-10-19 03:31:14 UTC

  FreeBSD doc repository

  Modified files:
    en_US.ISO8859-1/books/handbook/geom chapter.sgml 
  Log:
  A few wording fix ups to the GEOM chapter.
  
  PR:             85353
  Submitted by:   "Julien Gabel" <jpeg@thilelli.net> (original submission)
  
  Revision  Changes    Path
  1.25      +18 -23    doc/en_US.ISO8859-1/books/handbook/geom/chapter.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Tom Rhodes freebsd_committer 2006-10-19 04:33:30 UTC
State Changed
From-To: feedback->closed

You're right, patch did not apply.  I manually merged and in 
some minor cases reworded and then applied it to the chapter. 
Thanks for the submission! 


Comment 7 Tom Rhodes freebsd_committer 2006-10-19 04:33:30 UTC
Responsible Changed
From-To: freebsd-doc->trhodes

Over to me.